Bug 740091 - Store sysconfig keys in a sub directory of /var/lib/matahari
Summary: Store sysconfig keys in a sub directory of /var/lib/matahari
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 21:37 UTC by Dave Johnson
Modified: 2011-12-06 11:43 UTC (History)
2 users (show)

Fixed In Version: matahari-0.4.4-6.el6
Doc Type: Bug Fix
Doc Text:
No description required.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:43:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1569 normal SHIPPED_LIVE matahari bug fix and enhancement update 2011-12-06 00:39:06 UTC

Description Dave Johnson 2011-09-20 21:37:15 UTC
Description of problem:
==================================
We should store sysconfig keys in a sub directory of /var/lib/matahari just to keep the data dir somewhat clean.  If the user runs a bunch of sysconfig jobs, the directory will have a bunch key file in it.  

[root@localhost ~]# cd /var/lib/matahari/
[root@localhost matahari]# ls
31YU6  6T3U7  8BS00  B7OBI       DK3BD  IJ0UA  JTGJB  MG7FY  P9WNU        systemId  TZ5IJ  Y3B3D
336U9  6WQAA  8MRDK  C2UVW       FOL8Y  IYPWH  JZ4CD  O7Q0B  sadkjlkwjwe  T50LW     UJ7YT  ZMQQK
60F2O  7DKQL  A6KNB  dave's $$$  GSOU1  JNQNI  lock   OVQMO  SDX0T        TG871     W0INM  ZTAH5

Version-Release number of selected component (if applicable):
====================================================================
v0.4.4-4

Comment 1 Russell Bryant 2011-09-20 21:42:42 UTC
I consider this a bug.

This prevents us from being able to reliably store anything else other than keys in this directory.  Otherwise, whatever else we put there will get mixed up with the key files.

I propose /var/lib/matahari/sysconfig-keys/

Comment 3 Adam Stokes 2011-09-21 18:28:20 UTC
http://git.io/M4ZyTQ

Comment 6 Dave Johnson 2011-09-27 22:29:37 UTC
good 2 go...

[root@pe6950-01 matahari]# ll
total 8
-rw-r-----. 1 qpidd qpidd    0 Sep 27 10:35 lock
drwxr-xr-x. 2 root  root  4096 Sep 27 18:28 sysconfig-keys
-rw-r-----. 1 qpidd qpidd   37 Sep 27 10:35 systemId
[root@pe6950-01 matahari]# cd sysconfig-keys/
[root@pe6950-01 sysconfig-keys]# ls
dave1  dave8

Comment 7 Russell Bryant 2011-11-16 22:28:49 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No description required.

Comment 8 errata-xmlrpc 2011-12-06 11:43:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html


Note You need to log in before you can comment on or make changes to this bug.